Package org.apache.storm.generated

## Class BoltAggregateStats

- java.lang.Object
- - org.apache.storm.generated.BoltAggregateStats

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<BoltAggregateStats>`, `org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class BoltAggregateStats
      extends Object
      implements org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>, Serializable, Cloneable, Comparable<BoltAggregateStats>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BoltAggregateStats._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<BoltAggregateStats._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoltAggregateStats()` |
    `BoltAggregateStats​(BoltAggregateStats other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(BoltAggregateStats other)` |
    `BoltAggregateStats` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(BoltAggregateStats that)` |
    `BoltAggregateStats._Fields` | `fieldForId​(int fieldId)` |
    `double` | `get_capacity()` |
    `double` | `get_execute_latency_ms()` |
    `long` | `get_executed()` |
    `double` | `get_process_latency_ms()` |
    `Object` | `getFieldValue​(BoltAggregateStats._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_capacity()` | Returns true if field capacity is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_execute_latency_ms()` | Returns true if field execute_latency_ms is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_executed()` | Returns true if field executed is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_process_latency_ms()` | Returns true if field process_latency_ms is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(BoltAggregateStats._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_capacity​(double capacity)` |
    `void` | `set_capacity_isSet​(boolean value)` |
    `void` | `set_execute_latency_ms​(double execute_latency_ms)` |
    `void` | `set_execute_latency_ms_isSet​(boolean value)` |
    `void` | `set_executed​(long executed)` |
    `void` | `set_executed_isSet​(boolean value)` |
    `void` | `set_process_latency_ms​(double process_latency_ms)` |
    `void` | `set_process_latency_ms_isSet​(boolean value)` |
    `void` | `setFieldValue​(BoltAggregateStats._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_capacity()` |
    `void` | `unset_execute_latency_ms()` |
    `void` | `unset_executed()` |
    `void` | `unset_process_latency_ms()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<BoltAggregateStats._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### BoltAggregateStats

          public BoltAggregateStats()

    - #### BoltAggregateStats

          public BoltAggregateStats​(BoltAggregateStats other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public BoltAggregateStats deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>`

    - #### get_execute_latency_ms

          public double get_execute_latency_ms()

    - #### set_execute_latency_ms

          public void set_execute_latency_ms​(double execute_latency_ms)

    - #### unset_execute_latency_ms

          public void unset_execute_latency_ms()

    - #### is_set_execute_latency_ms

          public boolean is_set_execute_latency_ms()

      Returns true if field execute_latency_ms is set (has been assigned a value) and false otherwise

    - #### set_execute_latency_ms_isSet

          public void set_execute_latency_ms_isSet​(boolean value)

    - #### get_process_latency_ms

          public double get_process_latency_ms()

    - #### set_process_latency_ms

          public void set_process_latency_ms​(double process_latency_ms)

    - #### unset_process_latency_ms

          public void unset_process_latency_ms()

    - #### is_set_process_latency_ms

          public boolean is_set_process_latency_ms()

      Returns true if field process_latency_ms is set (has been assigned a value) and false otherwise

    - #### set_process_latency_ms_isSet

          public void set_process_latency_ms_isSet​(boolean value)

    - #### get_executed

          public long get_executed()

    - #### set_executed

          public void set_executed​(long executed)

    - #### unset_executed

          public void unset_executed()

    - #### is_set_executed

          public boolean is_set_executed()

      Returns true if field executed is set (has been assigned a value) and false otherwise

    - #### set_executed_isSet

          public void set_executed_isSet​(boolean value)

    - #### get_capacity

          public double get_capacity()

    - #### set_capacity

          public void set_capacity​(double capacity)

    - #### unset_capacity

          public void unset_capacity()

    - #### is_set_capacity

          public boolean is_set_capacity()

      Returns true if field capacity is set (has been assigned a value) and false otherwise

    - #### set_capacity_isSet

          public void set_capacity_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(BoltAggregateStats._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(BoltAggregateStats._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>`

    - #### isSet

          public boolean isSet​(BoltAggregateStats._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(BoltAggregateStats that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(BoltAggregateStats other)

      Specified by:
        `compareTo` in interface `Comparable<BoltAggregateStats>`

    - #### fieldForId

          public BoltAggregateStats._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<BoltAggregateStats,​BoltAggregateStats._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`